# Demo setup for Mycroft powered by Deepspeech

1. run `./setup.sh` for downloading models and scorer for deepspeech
   engine
1. then `docker-compose up` is all you need
1. After Mycroft will ask you to register it on https://home.mycroft.ai/devices

## Notes

* For setup audio correctly [this](https://mycroft-ai.gitbook.io/docs/using-mycroft-ai/troubleshooting/audio-troubleshooting) was really helpfull
* Trying audio with `audiotest` is VERY helpfull `docker-compose run --entrypoint /bin/bash mycroft` then `./start-mycroft.sh audiotest -l`
* I have pulseaudio on my setup so device index 12 was pulse for me,
  then I had to select the correct default device for pulse with `pactl list sources short` and `pactl set-default-source 2`. And device_index is the alsa index NOT the pulseaudio index.
* I launch the pactl commands inside the docker bash of mycroft but I
  think it doesn't matter because it communicate with you host
pulseaudio server
* If you remove `stt` section in `.mycroft/mycroft.conf` Mycroft will
  default to Google Speech to Text remote engine ( yes useless for
privacy )
* Deepspeech engine, is not very good, but I think some config tweak and maybe
  a better stereo mic can help.
* So Mycroft only require a account on home.mycroft.ai for skills I
  think, because it requires some APIs tokens for the basic skills like
weather, news, and jokes. (need to investigate on that part)
